<?php
require("../connection/dbconn.php");
require("../include/functions.php");

if (!isset($mit)) 
{
  $mit = "";
}

if ($mit == "") 
{
  if (!isset($email)) 
  {
    $email = "";
  }
  ?>
  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title><?php echo $title ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2" />
  
    <link href="css/admin.css" rel="stylesheet" type="text/css" />
    
    <script type="text/javascript">
      
      function helyescim(emcim) 
	  {
        if (emcim.length < 5) 
		{
          return false;
        }
        else if (emcim.indexOf("@") < 1) 
		{
          return false;
        }
        else if (emcim.length - emcim.indexOf("@") < 6) 
		{
          return false;
        }
        else 
		{
          return true;
        }
      }

      function isEmpty(mit) 
	  {
        if ((mit.length == 0) || (mit == null)) 
		{
          return true;
        }
        else {
          return false;
        }
      }

      function ellenoriz() 
	  {
        mehet = 1;
        
        if (mehet == 1 && !helyescim(document.urlap.email.value)) 
		{
          mehet = 0;
          document.urlap.email.focus();
          alert('A megadott e-mail cím helytelen!');
        }

        if (mehet == 1 && isEmpty(document.urlap.jelszo.value)) 
		{
          mehet = 0;
          document.urlap.jelszo.focus();
          alert('Kérlek add meg a jelszavad!');
        }
      
        if (mehet == 1) 
		{
          document.urlap.submit();
        }
        else 
		{
          document.urlap.elkuldgomb.value='Bejelentkezés';
          document.urlap.elkuldgomb.disabled=false;
        }

      }
    </script>

  </head>

  <?php
  $belepes = 1;  
  ?>

  <body>
  <div id="page">
  	<?php require("include/cookie.php");?> 
      
    <div id="bottom"> 
      
      <div id="content">
      <div id="bejelentkezes" style="width:800px; text-align:center;">      
          <form name="urlap" action="login.php" method="POST">
            <input type="hidden" name="mit" value="ellenoriz">
            <input type="hidden" name="elkuld" value="">
            <p>Kérlek add meg a belépéshez szükséges adatokat:</p>
            <br />
            <?php
            if (isset($hiba)) {
            ?>
              <p><strong>Hibás e-mail címet vagy jelszót adtál meg!</strong></p>
              <br />
            <?php
            }
            elseif (isset($marbevan)) {
            ?>
              <p><strong>Már be vagy jelentkezve egy másik gépen!</strong></p>
              <br />
            <?php
            }
            ?>
            <span>E-mail </span><input name="email" id="email" class="szoveg" /><br /><br />
            <span>Jelszó </span><input type="password" name="jelszo" id="jelszo"/><br /><br />
            <input id="elkuldgomb" type="button" value="Bejelentkezés" onClick="this.disabled='disabled';this.value='Türelem...';ellenoriz()" />
            <br />
          </form>

<?php
}
/** Ez a rész akkor fut le, amikor a $mit változó értéke 'ellenoriz' lesz és megvizsgálja, hogy létezik-e az adott felhasználó */
elseif ($mit == "ellenoriz") {

  $jelszo = md5($jelszo);

  $most = date("Y-m-d H:i:s");

  $parancs = "SELECT * from adminok WHERE email='$email' AND password='$jelszo'";
  $eredmeny = mysql_query($parancs);
 
  if (mysql_num_rows($eredmeny) > 0) 
  {
      setcookie("admin_email",$email,time()+86400*1);
      setcookie("admin_jelszo",$jelszo,time()+86400*1);
      
      $sor = mysql_fetch_array($eredmeny);
      $id = $sor["id"];
      $jelszo = $sor["password"];

      $ervenyes = date("Y-m-d H:i:s",time()+3600);

      $sql = "UPDATE adminok SET belepve='$most', session_id='" . session_id() . "', ervenyes='$ervenyes' WHERE id=$id";
      mysql_query($sql);
	  
	  header("Location: admin.php");
  } 
  else 
  {
    $parancs = "SELECT * from adminok WHERE email='$email' AND password='$jelszo'";
    $eredmeny = mysql_query($parancs);
   
    if (mysql_num_rows($eredmeny) > 0) 
	{
      header("Location: login.php?marbevan=1&email=$email");
    }
    else 
	{
      header("Location: login.php?hiba=1&email=$email");
    }
  }
}
?>
        </div>
      <!-- END: #content --></div>

	  <?php require("include/footer.php");?>
    <!-- END: #bottom --></div>
  
  <!-- END: #page --></div>
  
  <?php
  mysql_close($connect);
  ?>
  </body>
  </html>